function onTalk()
  local deathremixcheck = getFlag("DeathRemix")

  if deathremixcheck then
    setFlag("DeathRemix", false)
    setFlag("RemixChange", true)

  else
    setFlag("DeathRemix", true)
    setFlag("RemixChange", true)
  end
end